function init()
{ 
	local.register("/EDIT/GET", "osc_GET_Callback");

	local.register("/homed", "testcallback");
	local.register("/onTarget", "testcallback");

	local.register("/*/step", "testcallback");
	local.register("/*/state", "testcallback");
	local.register("/*/limitLow", "testcallback");
	local.register("/*/limitHigh", "testcallback");
	local.register("/*/homingLow", "testcallback");
	local.register("/*/homingHigh", "testcallback");
	local.register("/*/onTarget", "testcallback");

	// util
}

function testcallback(address, args){
	scriptParameterChanged.log("  > received : "+address+" "+args);
}






function valueCallback(target, id, startID, endID, value)
{
	var v = parseInt(value*100);
	if(v < 10) v = "0"+v;
	var cmd = getCommandTarget(target, id, startID, endID)+" @ "+v;
	sendCommand(cmd);
}

function colorCallback(target, id, startID, endID, color)
{
	var cmd = getCommandTarget(target, id, startID, endID);
	var colCmd  = getColorMessage(color);
	sendCommand(cmd+" "+colCmd);
}

function blackOutCallback(target, propID, startID, endID)
{
	var cmd = getCommandTarget(target, id, startID, endID);
	var colCmd  = getColorMessage(color, true);
	sendCommand(cmd+" "+colCmd);

	cmd = getCommandTarget(target, id, startID, endID)+" @ 0";
	sendCommand(cmd);
}
